import vl from 'vega-lite-api';
export const viz = vl
  .markLine({
    size: 4
  })
  .encode(
    vl.x().fieldT('timestamp').scale({ zero: false }),
    vl.y().fieldQ('temperature').scale({ zero: false }),
    vl.tooltip().fieldN('temperature')
  );




// // scatter plot style
//   .markCircle({
//     size: 10,
//     opacity: 0.5
//   })
//   .encode(
//     vl.x().fieldT('timestamp').scale({ zero: false }),
//     vl.y().fieldQ('temperature').scale({ zero: false }),
//     vl.tooltip().fieldN('temperature')
//   );
